import { DirectoryFilesService } from "../../../domain/services/DirectoryFiles.service";
import { DirectoryFilesResponse } from "../../../domain/models/directories/DirectoryFilesResponse.interface";
import { Content } from "../../../domain/models/directories/Content.interface";
declare const _default: {
    setup(): {
        v$: import("vue").Ref<import("@vuelidate/core").Validation<import("@vuelidate/core").ValidationArgs<unknown>, unknown>>;
    };
    props: {
        title: StringConstructor;
        text: StringConstructor;
        modalActive: BooleanConstructor;
        pathNameCurrent: StringConstructor;
        typeSelect: {
            type: StringConstructor;
            default: string;
        };
        multipleFileSeparator: {
            type: StringConstructor;
            default: string;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
        resetFilePath: {
            type: BooleanConstructor;
            default: boolean;
            required: boolean;
        };
    };
    validations(): {
        newFolder: {
            required: import("@vuelidate/core").ValidationRuleWithoutParams<any>;
        };
    };
    components: {
        UploadFile: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    data: () => {
        load: boolean;
        viewLoading: boolean;
        fileList: any[];
        directoryFilesService: DirectoryFilesService;
        directoryFilesContent: DirectoryFilesResponse;
        fileSelected: Content;
        nameFileSelected: string;
        showNewCreateFolder: boolean;
        newFolder: string;
    };
    mounted(): Promise<void>;
    updated(): Promise<void>;
    computed: {
        currentPath(): any;
    };
    methods: {
        createFolder(): void;
        saveNewFolder(): void;
        cancelCreateFolder(): void;
        startUploadFile(): void;
        endUploadFile(promise: any): void;
        closeModal(): void;
        cancelModal(): void;
        okModal(): void;
        updateFileList(path: String): Promise<void>;
        doubleClick(indexSelected: number): Promise<void>;
        fileBrowserSelected(indexFileSelected: number): Promise<void>;
        setSelection(): Promise<void>;
    };
    watch: {
        resetFilePath(value: Boolean): void;
    };
};
export default _default;
